Skip to main content
GET
/
v4
/
subAccount
/
{accountId}
Get accounts lower in the hierarchy
curl --request GET \
  --url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/account/v4/subAccount/{accountId}' \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/account/v4/subAccount/{accountId}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/account/v4/subAccount/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "available": 1000,
  "balance": 1000,
  "creditLimit": 10000,
  "currency": "EUR",
  "customerId": 55667788990,
  "id": 1234567890,
  "name": "My example account name",
  "number": 123456789,
  "parentId": 9876543210,
  "paymentReference": {
    "number": 1234567897,
    "type": "MOD10"
  },
  "productCode": "CREDIT_EUR_FI",
  "status": "ACCOUNT_BLOCKED",
  "template": "CREDIT_EUR_FI"
}
{
  "available": 1000,
  "balance": 1000,
  "currency": "EUR",
  "customerId": 55667788990,
  "iban": {
    "iban": "FI7165429021331431"
  },
  "id": 1234567890,
  "name": "My example account name",
  "number": 123456789,
  "parentId": 9876543210,
  "paymentReference": {
    "number": 1234567897,
    "type": "MOD10"
  },
  "productCode": "DEBIT_EUR_FI",
  "status": "ACCOUNT_BLOCKED",
  "template": "DEBIT_EUR_FI"
}
{
  "available": 1000,
  "balance": 1000,
  "currency": "EUR",
  "customerId": 55667788990,
  "id": 1234567890,
  "name": "My example account name",
  "number": 123456789,
  "parentId": 9876543210,
  "paymentReference": {
    "number": 1234567897,
    "type": "MOD10"
  },
  "productCode": "PREPAID_EUR_FI",
  "status": "ACCOUNT_BLOCKED",
  "template": "PREPAID_EUR_FI"
}
{
  "available": 1000,
  "balance": 1000,
  "creditLimit": 10000,
  "currency": "EUR",
  "customerId": 55667788990,
  "id": 1234567890,
  "name": "My example account name",
  "number": 123456789,
  "parentId": 9876543210,
  "paymentReference": {
    "number": 1234567897,
    "type": "MOD10"
  },
  "productCode": "FLEET_SEK_SE",
  "status": "ACCOUNT_BLOCKED",
  "template": "FLEET_SEK_SE"
}
{
  "available": 1000,
  "balance": 1000,
  "currency": "EUR",
  "customerId": 55667788990,
  "id": 1234567890,
  "name": "My example account name",
  "number": 123456789,
  "parentId": 9876543210,
  "paymentReference": {
    "number": 1234567897,
    "type": "MOD10"
  },
  "productCode": "MULTICURR_EUR",
  "status": "ACCOUNT_BLOCKED",
  "template": "MULTICURR_EUR"
}
{
  "available": 1000,
  "balance": 1000,
  "creditLimit": 10000,
  "currency": "EUR",
  "customerId": 55667788990,
  "id": 1234567890,
  "name": "My example account name",
  "number": 123456789,
  "parentId": 9876543210,
  "paymentReference": {
    "number": 1234567897,
    "type": "MOD10"
  },
  "productCode": "CREDIT_EUR_FI",
  "status": "ACCOUNT_BLOCKED",
  "template": "CREDIT_EUR_FI"
}
{
  "available": 1000,
  "balance": 1000,
  "currency": "EUR",
  "customerId": 55667788990,
  "iban": {
    "iban": "FI7165429021331431"
  },
  "id": 1234567890,
  "name": "My example account name",
  "number": 123456789,
  "parentId": 9876543210,
  "paymentReference": {
    "number": 1234567897,
    "type": "MOD10"
  },
  "productCode": "DEBIT_EUR_FI",
  "status": "ACCOUNT_BLOCKED",
  "template": "DEBIT_EUR_FI"
}
{
  "available": 1000,
  "balance": 1000,
  "currency": "EUR",
  "customerId": 55667788990,
  "id": 1234567890,
  "name": "My example account name",
  "number": 123456789,
  "parentId": 9876543210,
  "paymentReference": {
    "number": 1234567897,
    "type": "MOD10"
  },
  "productCode": "PREPAID_EUR_FI",
  "status": "ACCOUNT_BLOCKED",
  "template": "PREPAID_EUR_FI"
}
{
  "available": 1000,
  "balance": 1000,
  "creditLimit": 10000,
  "currency": "EUR",
  "customerId": 55667788990,
  "id": 1234567890,
  "name": "My example account name",
  "number": 123456789,
  "parentId": 9876543210,
  "paymentReference": {
    "number": 1234567897,
    "type": "MOD10"
  },
  "productCode": "FLEET_SEK_SE",
  "status": "ACCOUNT_BLOCKED",
  "template": "FLEET_SEK_SE"
}
{
  "available": 1000,
  "balance": 1000,
  "currency": "EUR",
  "customerId": 55667788990,
  "id": 1234567890,
  "name": "My example account name",
  "number": 123456789,
  "parentId": 9876543210,
  "paymentReference": {
    "number": 1234567897,
    "type": "MOD10"
  },
  "productCode": "MULTICURR_EUR",
  "status": "ACCOUNT_BLOCKED",
  "template": "MULTICURR_EUR"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

accountId
string<biginteger>
required

The account id to fetch list of accounts for

Query Parameters

auditUser
string
required

The audit user to log the request

page
integer
default:0

Current page

size
integer
default:30

How many accounts should be returned per page, default is 30. Cannot be more than 100.

Required range: 1 < x < 100

Response

Successful lookup of accounts

The response is of type any.